/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer
 *  ファイル：CellData.java
 *  説明：レポートのセルデータをあらわすクラスです。
 *
 *  作成日: 2004/01/19
 */
package openolap.viewer;

import java.io.Serializable;


/**
 *  クラス：CellData
 *  説明：レポートのセルデータをあらわすクラスです。
 */
public class CellData implements Serializable {

	// ********** インスタンス変数 **********

	/** 列の座標を表すオブジェクト */
	final private EdgeCoordinates colCoordinates;

	/** 行の座標を表すオブジェクト */
	final private EdgeCoordinates rowCoordinates;

	/** このデータが属するメジャーメンバーのUniqueName */
	final private String measureMemberUniqueName;
	
	/** セルが持つ値 */
	private String value = null;

	// ********** コンストラクタ **********

	/**
	 * セルデータオブジェクトを生成します。
	 */
	public CellData(EdgeCoordinates colCoordinates, EdgeCoordinates rowCoordinates, String measureMemberUniqueName) {
		this.colCoordinates = colCoordinates;
		this.rowCoordinates = rowCoordinates;
		this.measureMemberUniqueName = measureMemberUniqueName;
	}

	// ********** Setter メソッド **********

	/**
	 * セルデータに値をセットする。
	 * @param string セルデータの値
	 */
	public void setValue(String string) {
		value = string;
	}

	// ********** Getter メソッド **********

	/**
	 * セルの列座標オブジェクトを求める。
	 * @return 列座標オブジェクト
	 */
	public EdgeCoordinates getColCoordinates() {
		return colCoordinates;
	}

	/**
	 * セルの行座標オブジェクトを求める。
	 * @return 行座標オブジェクト
	 */
	public EdgeCoordinates getRowCoordinates() {
		return rowCoordinates;
	}

	/**
	 * セルの値を求める。
	 * @return セルが持つ値
	 */
	public String getValue() {
		return value;
	}

	/**
	 * このデータが属するメジャーメンバーのUniqueNameを求める。
	 * @return メジャーメンバーのUniqueName
	 */
	public String getMeasureMemberUniqueName() {
		return measureMemberUniqueName;
	}


}
